kr.co.hanwha.hifive.screen.task

## Class AddTaskSelectMemberPresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.task.AddTaskSelectMemberPresenter

- All Implemented Interfaces:
    BasePresenter, AddTaskSelectMemberContract.Presenter

      public class AddTaskSelectMemberPresenter
      extends java.lang.Object
      implements AddTaskSelectMemberContract.Presenter

  Add TASK : 멤버 선택 Presenter
  See Also:
    `Created by sanghoonkwon on 2018. 1. 18..`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AddTaskSelectMemberListContract.Model` | `mListAdapterModel`
    `private AddTaskSelectMemberListContract.View` | `mListAdapterView`
    `private AddTaskSelectedMemberPagerContract.Model` | `mPagerAdapterModel`
    `private AddTaskSelectedMemberPagerContract.View` | `mPagerAdapterView`
    `private AddTaskSelectMemberContract.View` | `mView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddTaskSelectMemberPresenter(AddTaskSelectMemberContract.View view, AddTaskSelectMemberListContract.View listAdapterView, AddTaskSelectMemberListContract.Model listAdapterModel, AddTaskSelectedMemberPagerContract.View pagerAdapterView, AddTaskSelectedMemberPagerContract.Model pagerAdapterModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detachView()`
    `void` | `doCompleted()` 선택 완료
    `android.app.Activity` | `getActivity()`
    `android.content.Context` | `getContext()`
    `void` | `initData()` 전체 멤버 목록 조회
    `void` | `refreshSelectedMember()` 선택된 멤버 목록 표시
    `void` | `updateObjectSelect(MemberInfoData data, int index, boolean isSelect)` 선택 상태 변경

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mView

          private AddTaskSelectMemberContract.View mView

    - #### mListAdapterView

          private AddTaskSelectMemberListContract.View mListAdapterView

    - #### mListAdapterModel

          private AddTaskSelectMemberListContract.Model mListAdapterModel

    - #### mPagerAdapterView

          private AddTaskSelectedMemberPagerContract.View mPagerAdapterView

    - #### mPagerAdapterModel

          private AddTaskSelectedMemberPagerContract.Model mPagerAdapterModel

  - ### Constructor Detail

    - #### AddTaskSelectMemberPresenter

          public AddTaskSelectMemberPresenter(@NonNull
                                              AddTaskSelectMemberContract.View view,
                                              @NonNull
                                              AddTaskSelectMemberListContract.View listAdapterView,
                                              @NonNull
                                              AddTaskSelectMemberListContract.Model listAdapterModel,
                                              @NonNull
                                              AddTaskSelectedMemberPagerContract.View pagerAdapterView,
                                              @NonNull
                                              AddTaskSelectedMemberPagerContract.Model pagerAdapterModel)

  - ### Method Detail

    - #### detachView

          public void detachView()

      Specified by:
        `detachView` in interface `BasePresenter`

    - #### getContext

          public android.content.Context getContext()

      Specified by:
        `getContext` in interface `BasePresenter`

    - #### getActivity

          public android.app.Activity getActivity()

    - #### initData

          public void initData()

      Description copied from interface: `AddTaskSelectMemberContract.Presenter`
      전체 멤버 목록 조회
      Specified by:
        `initData` in interface `AddTaskSelectMemberContract.Presenter`

    - #### updateObjectSelect

          public void updateObjectSelect(@NonNull
                                         MemberInfoData data,
                                         @NonNull
                                         int index,
                                         @NonNull
                                         boolean isSelect)

      Description copied from interface: `AddTaskSelectMemberContract.Presenter`
      선택 상태 변경
      Specified by:
        `updateObjectSelect` in interface `AddTaskSelectMemberContract.Presenter`
      Parameters:
        `data` - 멤버 정보
        `index` - List index
        `isSelect` - Boolean

    - #### refreshSelectedMember

          public void refreshSelectedMember()

      Description copied from interface: `AddTaskSelectMemberContract.Presenter`
      선택된 멤버 목록 표시
      Specified by:
        `refreshSelectedMember` in interface `AddTaskSelectMemberContract.Presenter`

    - #### doCompleted

          public void doCompleted()

      Description copied from interface: `AddTaskSelectMemberContract.Presenter`
      선택 완료
      Specified by:
        `doCompleted` in interface `AddTaskSelectMemberContract.Presenter`